> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/vpc-network/cross-region-bandwidth/inquirypricecreatecrossregionbandwidth.md).

# InquiryPriceCreateCrossRegionBandwidth

## 1. API Description

This API (InquiryPriceCreateCrossRegionBandwidth) is used to inquire the price of creating a VPC cross-region bandwidth.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name     | Required | Type                                                                         | Description                                      |
| ------------------ | -------- | ---------------------------------------------------------------------------- | ------------------------------------------------ |
| internetChargeType | Yes      | [InternetChargeType](/api-reference/zec/datastructure.md#internetchargetype) | Network billing model.                           |
| regionA            | Yes      | String                                                                       | One end of the cross-region bandwidth.           |
| regionZ            | Yes      | String                                                                       | The other end of the cross-region bandwidth.     |
| bandwidth          | Yes      | Integer                                                                      | <p>Bandwidth cap.</p><p>Value range: \[1, +)</p> |
| marketingInfo      | No       | [MarketingInfo](/api-reference/zec/datastructure.md#marketinginfo)           | Information on marketing campaigns.              |

## 3. Output Parameters

| Parameter Name            | Type                                                       | Description                                                                                                           |
| ------------------------- | ---------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId                 | String                                                     | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| crossRegionBandwidthPrice | [PriceItem](/api-reference/zec/datastructure.md#priceitem) | Price of the VPC cross-region bandwidth.                                                                              |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Create a VPC cross-region bandwidth from Shanghai to Beijing, billed by fixed bandwidth. The bandwidth is 100 Mbps.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceCreateCrossRegionBandwidth
<Common Request Params>

Request：
{
  "internetChargeType": "ByBandwidth",
  "regionA": "asia-east-1",
  "regionZ": "asia-north-1",
  "bandwidth": 100
}

Response：
{
  "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183",
  "response": {
    "crossRegionBandwidthPrice": {
      "discount": 100.0,
      "discountPrice": 2000.0,
      "originalPrice": 2000.0,
      "unitPrice": null,
      "discountUnitPrice": null,
      "chargeUnit": null,
      "stepPrices": null
    },
    "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183"
  }
}
```

**2. Inquire the price of a VPC cross-region bandwidth created with a POC voucher. If no POC voucher exists in the system, the related creation will fail.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceCreateCrossRegionBandwidth
<Common Request Params>

Request：
{
  "internetChargeType": "ByBandwidth",
  "regionA": "asia-east-1",
  "regionZ": "asia-north-1",
  "bandwidth": 100,
  "marketingInfo": {
    "usePocVoucher": true
  }
}

Response：
{
  "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183",
  "response": {
    "crossRegionBandwidthPrice": {
      "discount": 100.0,
      "discountPrice": 2000.0,
      "originalPrice": 2000.0,
      "unitPrice": null,
      "discountUnitPrice": null,
      "chargeUnit": null,
      "stepPrices": null
    },
    "requestId": "TF84F83D3-8F9B-4F49-952E-A7278F7C1183"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
